Summary: Courier authentication library
Name: courier-authlib
Version: 0.59.3
Release: 1tr
License: GPL
Group: Trustix Official
Source: http://www.courier-mta.org/beta/courier-authlib/%{name}-%{version}.tar.bz2
Source1: courier-imap-authdaemonrc
Source2: courier-imap-authldaprc
Source3: courier-imap-authmysqlrc
Source4: courier-imap-authpgsqlrc
Source5: courier-authlib.init
Patch0: courier-authlib-0.57-Makefile.patch

URL: http://www.courier-mta.org/authlib/
Requires: /sbin/chkconfig /sbin/restart_maybe libtool expect
BuildRequires:	mysql-devel openldap-devel pam-devel postgresql-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%define authdaemondir /var/spool/authdaemon/courier-authlib


%description
This is the Courier authentication library. Copies of this library code used to exist in 
other tarballs: Courier, Courier-IMAP, and SqWebMail. Building and installing any of 
these packages would've automatically installed this authentication code.The authentication 
library is now a separate, standalone package.

%package ldap
Summary: Courier-IMAP LDAP authentication driver.
Group: Trustix Official
Requires: %{name} = %{version}
Requires: openldap-libs
Obsoletes: courier-imap-ldap

%description ldap
This package contains the necessary files to allow Courier-IMAP to
authenticate from an LDAP directory.  Install this package if you need
the ability to use an LDAP directory for authentication.

%package mysql
Summary: Courier-IMAP MySQL authentication driver.
Group: Trustix Official
Requires: %{name} = %{version}
Requires: mysql-libs
Obsoletes: courier-imap-mysql

%description mysql
This package contains the necessary files to allow Courier-IMAP to
authenticate using a MySQL database table.  Install this package if you need
the ability to use a MySQL database table for authentication.

%package pgsql
Summary: Courier-IMAP PostgreSQL authentication driver.
Group: Trustix Official
Requires: %{name} = %{version}
Requires: postgresql-libs
Obsoletes: courier-imap-pgsql

%description pgsql
This package contains the necessary files to allow Courier-IMAP to
authenticate using a PostgreSQL database table.  Install this package if you
need the ability to use a PostgreSQL database table for authentication.

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
LDFLAGS="-lgnutls -lgnutls-extra -lgcrypt -lpthread -s" %configure --program-prefix="" \
	--mandir=%{_mandir} \
	--localstatedir=%{_localstatedir} \
	--with-authdaemonvar=%{authdaemondir} \
	--sysconfdir=%{_sysconfdir} \
        --libexecdir=%{_prefix}/lib \
        --datadir=%{_datadir}/%{name} \
	--with-db=db  
make LDFLAGS="-lpthread"


%install
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT  install
mkdir -p $RPM_BUILD_ROOT/%{_initdir}
# install config files
install -m 600 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/authlib/authdaemonrc
install -m 600 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/authlib/authldaprc
install -m 600 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/authlib/authmysqlrc
install -m 600 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/authlib/authpgsqlrc
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT%{_initdir}/courier-authlib

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run
touch $RPM_BUILD_ROOT%{_localstatedir}/run/authdaemonrc.pid
touch $RPM_BUILD_ROOT%{_localstatedir}/run/authdaemonrc.pid.lock
chmod 600 $RPM_BUILD_ROOT%{_sysconfdir}/authlib/authdaemonrc

# remove static libraries
rm -f $RPM_BUILD_ROOT%{_libdir}/courier-authlib/*.a

./authmksock $RPM_BUILD_ROOT/%{authdaemondir}/socket
chmod 777 $RPM_BUILD_ROOT/%{authdaemondir}/socket
mkdir -p $RPM_BUILD_ROOT/etc/openldap/schema
install -m 444 authldap.schema $RPM_BUILD_ROOT/etc/openldap/schema/courier.schema


%post
/sbin/ldconfig %{_libdir}/courier-authlib
/sbin/chkconfig --add courier-authlib
if [ "$1" = "2" ]; then
        /sbin/restart_maybe courier-authlib
fi

%preun
if [ "$1" = "0" ]; then
	/sbin/service courier-authlib status > /dev/null 
	if [ "$?" = "0" ]; then
		/sbin/service courier-authlib stop 
	fi

	/sbin/chkconfig --del courier-authlib
fi

%postun
/sbin/ldconfig %{_libdir}/courier-authlib

%clean
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README README*html README.authmysql.myownquery authldap.schema
%doc authlib.html auth_*.html
%dir %{_sysconfdir}/authlib
%dir %{_libdir}/courier-authlib
%config(noreplace) %{_sysconfdir}/authlib/authdaemonrc
%{_bindir}/*
%{_libdir}/courier-authlib/authdaemond
%{_libdir}/courier-authlib/authsystem.passwd
%{_libdir}/courier-authlib/makedatprog
%{_libdir}/courier-authlib/libauthcustom*.la
%{_libdir}/courier-authlib/libauthpam*.la
%{_libdir}/courier-authlib/libcourierauth*.la
%{_libdir}/courier-authlib/libauthuserdb.la
%{_libdir}/courier-authlib/libauthpipe.la
%{_libdir}/courier-authlib/libauthpipe.so.*
%dir %{_localstatedir}/spool/authdaemon
%{_sbindir}/*
%{_mandir}/*/*
%{_includedir}/*
%{_libdir}/%{name}/libauthcustom.*so*
%{_libdir}/%{name}/libauthpam.*so*
%{_libdir}/%{name}/libauthuserdb.*so*
%{_libdir}/%{name}/libcourierauth*.so*
%{_sysconfdir}/authlib/authdaemonrc.dist
%{_initdir}/courier-authlib
%dir %{authdaemondir}
%ghost  /var/run/*.pid
%ghost  /var/run/*.lock
%ghost  %{authdaemondir}/*

%files ldap
%defattr(-,root,root,0755)
%{_prefix}/%{_lib}/%{name}/libauthldap.*
%config(noreplace) %{_sysconfdir}/authlib/authldaprc
%{_sysconfdir}/openldap/schema/courier.schema
%{_sysconfdir}/authlib/authldaprc.dist

%files mysql
%defattr(-,root,root,0755)
%{_prefix}/%{_lib}/%{name}/libauthmysql.*
%config(noreplace) %{_sysconfdir}/authlib/authmysqlrc
%{_sysconfdir}/authlib/authmysqlrc.dist

%files pgsql
%defattr(-,root,root,0755)
%{_prefix}/%{_lib}/%{name}/libauthpgsql.*
%config(noreplace) %{_sysconfdir}/authlib/authpgsqlrc
%{_sysconfdir}/authlib/authpgsqlrc.dist


%changelog
* Mon Apr 23 2007 Bipin S <bipin at trustix dot org> 0.59.3-1tr
- New upstream.

* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Tue Feb 06 2007 Bipin S <bipin at trustix dot org> 0.59.1-1tr
- New upstream.
- Rebuilt with postgresql 8.2.2.

* Thu Jan 18 2007 Nived Gopalan <nived at trustix dot org> 0.58-2tr
- Rebuilt with mysql 5.0.x. 

* Tue Jun 06 2006 Bipin S <bipin at trustix dot org> 0.58-1tr
- New upstream.

* Fri Jul 29 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.57-2tr
- Courier-IMAP fails to authenticate with authpam, Now build libauthpam without
  reference to weak undefined symbols. Fix Bug #1137.

* Tue Jul 26 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.57-1tr
- New Upstream
- New access control list group account options.

* Fri May 13 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.56-1tr
- New Upstrem contains following changes:
  New authpipe authentication module. 
  Fix sysvinit script to remove runfile after stop.

* Thu May 05 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.55-1tr
- Initial spec file  

